/* fotovideo.css */

/* Estilos Generales */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
    color: #333;
}

header {
    background-color:#030303;
    color: #fff;
    padding: 10px 20px;
    text-align: center;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

.menu {
    display: flex;
    justify-content: center;
    list-style-type: none;
    padding: 10;
}

.menu li {
    margin-right: 15px;
    margin-top: 10px;
    
}

.menu li a {
    color: rgb(250, 250, 250);
    text-decoration: none;
}

/* Estilos para el menú desplegable */
.submenu {
    display: none;
    position: absolute;
    background-color: #080808;
    list-style-type: none;
    padding: 10px;
}

.submenu.visible {
    display: block;
}
/* Hero Section */
.hero-section {
    padding: 60px 20px 10PX;
    text-align: center;
    background-color: #61dafb;
    color: #fff;
}

.hero-section h1 {
    font-size: 36px;
    margin-bottom: 10px;
}

.hero-section p {
    font-size: 18px;
    margin-bottom: 20px;
}

.logo {
    width: 150px; /* Ajusta este tamaño para que coincida con el de 'index.html' */
    margin-right: 20px;
    margin-top: 20px;
    vertical-align: middle;
    padding-bottom: 0px;
}

.hero-section h1 {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    font-size: 36px; /* Asegúrate de que coincida con el tamaño del titular en 'index.html' */
}

.hero-content {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 20px;
    color: #fff;

}
.fuerte {
    font-size: 25px;
    color: rgb(250, 249, 249);
}
/* Introducción */
#intro {
    padding: 10px 20px 10px;
    text-align: center;
}

/* Galería de Fotos */
#gallery {
    padding: 20px 20px;
    text-align: center;
}

.gallery-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.row {
    display: flex;
    justify-content: space-around;
    width: 100%;
    margin-bottom: 20px;
}

.row img {
    width: 30%;
    height: auto;
    border-radius: 5px;
}

/* Videos */
#videos {
    padding: 40px 20px;
    text-align: center;
}

.video-container {
    display: flex;
    justify-content: center;
}

.video-container iframe {
    width: 30%;
    height: 315px;
    margin: 0 10px;
    padding-top: 20px;
}


/* CTA Section */
.cta-section {
    margin-top: 30px;
    margin-bottom: 30PX;
    padding-top: 5PX;
    padding-bottom: 20PX;
    width: 100%;
    text-align: center;
    background-color: #302f2f;
    color: #fff;
}

.cta-section h2 {
    font-size: 28px;
    margin-bottom: 20px;
}

.cta-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #61dafb;
    color: #000;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
}

.cta-button:hover {
    background-color: #4ca1af;
}
/* Footer */
footer {
    background-color: #000;
    color: #fff;
    text-align: center;
    padding: 20px;
}
/* Modal para pantalla completa */
.modal {
    display: none; /* Oculto por defecto */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    display: block;
    margin: auto;
    max-width: 80%;
    max-height: 80%;
}

.modal-content img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

.close-modal {
    position: absolute;
    top: 20px;
    right: 40px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}


/* Media Queries para la Responsividad */
@media (max-width: 1024px) {
    .row img {
        width: 45%; /* Ajuste en pantallas medianas */
    }

    .video-container iframe {
        width: 90%; /* Ajuste en pantallas medianas */
    }
}
@media (max-width: 768px) {
    .row img {
        width: 32%; /* Ocupan el 100% en pantallas pequeñas */
        margin-bottom: 10px;
    }

    .video-container iframe {
        width: 85%; /* Videos más grandes en pantallas pequeñas */
        margin-bottom: 20px;
    }
}

@media (max-width: 480px) {
    .row img {
        width: 20%; /* Cada imagen ocupará el 100% del ancho */
    }

    .video-container iframe {
        width: 80%; /* Videos ocuparán el 100% del ancho */
    }
}